#!/bin/sh
#
# Utilisation standard de rrdtool et parametres.
#
#rrdtool graph filename [--start seconds] [--end seconds] [--vertical-label text] [--width pixels] [--height pixels] [--no-legend] [--title title] [DEF:vname=rrd:ds-name:CF] [CDEF:vname=rpn-expression] [COMMENT:text] [HRULE:value#rrggbb[:legend]] [LINE{1|2|3}:vname[#rrggbb[:legend]]] [AREA:vname[#rrggbb[:legend]]] [STACK:vname[#rrggbb[:legend]]]


# script crer par ed dit sous licence GPL.
# http://ed.zehome.com/
#
# Modifie par TS pour besoin rapport CNP
# Genere TOUS les graphes de TOUS les serveurs
# Graphes de LOAD
#
################################################
# Configuration

for dir in `ls /Soft/HOBBIT-4.1.2p1/data/rrd/` ;
do

RRDARCHIVE="/Soft/HOBBIT-4.1.2p1/data/rrd/$dir/"
# .png IS ADDED AFTER.
# ${GRAPH}-day -week -month -year will be created
GRAPH="cputil.$dir"
GRAPHTITLE="Rpartition du temps CPU du serveur $dir"

#
################################################
################################################
# Graph Load Linux

for i in -86400 -604800 -2592000 -31536000
do
if [ $i == -86400 ]
then
GRAPH2="${GRAPH}-day.png"
fi
if [ $i == -604800 ]
then
GRAPH2="${GRAPH}-week.png"
fi
if [ $i == -2592000 ]
then
GRAPH2="${GRAPH}-month.png"
fi
if [ $i == -31536000 ]
then
GRAPH2="${GRAPH}-year.png"
fi

#
# On s'assure que les rep existent
#

if [ ! -d /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir ]
then
   mkdir /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir
fi

#
# Voir le fichier /home/hobbit/server/etc/hobbitgraphs.cfg
# pour connaitre les options et parametres pour les graphes
#

/usr/bin/rrdtool graph "/Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir/${GRAPH2}" \
--start ${i} \
--vertical-label "% temps CPU" \
--title "${GRAPHTITLE}" -w 600 -h 120 -u "cputil" \
--units-exponent 0 --imgformat PNG \
'-u 100' \
'-r' \
'DEF:cpu_idl='${RRDARCHIVE}'vmstat.rrd:cpu_idl:AVERAGE' \
'DEF:cpu_usr='${RRDARCHIVE}'vmstat.rrd:cpu_usr:AVERAGE' \
'DEF:cpu_sys='${RRDARCHIVE}'vmstat.rrd:cpu_sys:AVERAGE' \
'AREA:cpu_sys#FF0000:system' \
'STACK:cpu_usr#FFFF00:user' \
'STACK:cpu_idl#00FF00:idle' \
'COMMENT:\n' \
'GPRINT:cpu_sys:LAST:system  \: %5.1lf (cur)' \
'GPRINT:cpu_sys:MAX: \: %5.1lf (max)' \
'GPRINT:cpu_sys:MIN: \: %5.1lf (min)' \
'GPRINT:cpu_sys:AVERAGE: \: %5.1lf (avg)\n' \
'GPRINT:cpu_usr:LAST:user    \: %5.1lf (cur)' \
'GPRINT:cpu_usr:MAX: \: %5.1lf (max)' \
'GPRINT:cpu_usr:MIN: \: %5.1lf (min)' \
'GPRINT:cpu_usr:AVERAGE: \: %5.1lf (avg)\n' \
'GPRINT:cpu_idl:LAST:idle    \: %5.1lf (cur)' \
'GPRINT:cpu_idl:MAX: \: %5.1lf (max)' \
'GPRINT:cpu_idl:MIN: \: %5.1lf (min)' \
'GPRINT:cpu_idl:AVERAGE: \: %5.1lf (avg)\n'
done

done

#
## Fin du script Load Linux.
#################################################
