#!/bin/sh
#
# Utilisation standard de rrdtool et parametres.
#
#rrdtool graph filename [--start seconds] [--end seconds] [--vertical-label text] [--width pixels] [--height pixels] [--no-legend] [--title title] [DEF:vname=rrd:ds-name:CF] [CDEF:vname=rpn-expression] [COMMENT:text] [HRULE:value#rrggbb[:legend]] [LINE{1|2|3}:vname[#rrggbb[:legend]]] [AREA:vname[#rrggbb[:legend]]] [STACK:vname[#rrggbb[:legend]]]


# script crer par ed dit sous licence GPL.
# http://ed.zehome.com/
#
# Modifie et adapte par TS pour besoin rapport CNP
# Genere TOUS les graphes de TOUS les serveurs
# Graphes d'I/O Network 
#
################################################
# Configuration

for dir in `ls /Soft/HOBBIT-4.1.2p1/data/rrd/` ;
do

RRDARCHIVE="/Soft/HOBBIT-4.1.2p1/data/rrd/$dir/"
# .png IS ADDED AFTER.
# ${GRAPH}-day -week -month -year will be created
GRAPH="mem.$dir"
GRAPHTITLE="Occupation mmoire de $dir"

#
################################################
################################################
# Graph Load Linux

for i in -86400 -604800 -2592000 -31536000
do
if [ $i == -86400 ]
then
GRAPH2="${GRAPH}-day.png"
fi
if [ $i == -604800 ]
then
GRAPH2="${GRAPH}-week.png"
fi
if [ $i == -2592000 ]
then
GRAPH2="${GRAPH}-month.png"
fi
if [ $i == -31536000 ]
then
GRAPH2="${GRAPH}-year.png"
fi

#
# On s'assure que les rep existent
#

if [ ! -d /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir ]
then
   mkdir /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir
fi

#
# Voir le fichier /home/hobbit/server/etc/hobbitgraphs.cfg
# pour connaitre les options et parametres pour les graphes
#
if [ -e "$RRDARCHIVE"memory.actual.rrd ]
then

/usr/bin/rrdtool graph "/Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir/${GRAPH2}" \
--start ${i} \
--vertical-label "% utilise" \
--title "${GRAPHTITLE}" -w 600 -h 120 -u "memory" \
--units-exponent 0 --imgformat PNG \
'DEF:avg1='$RRDARCHIVE'memory.actual.rrd:realmempct:AVERAGE' \
'LINE2:avg1#99FFFF:mmoire actuelle' \
'-u 100' \
'-b 1024' \
'GPRINT:avg1:LAST: \: %5.1lf (cur)' \
'GPRINT:avg1:MAX: \: %5.1lf (max)' \
'GPRINT:avg1:MIN: \: %5.1lf (min)' \
'GPRINT:avg1:AVERAGE: \: %5.1lf (avg)\n' \
'DEF:avg2='$RRDARCHIVE'memory.real.rrd:realmempct:AVERAGE' \
'LINE2:avg2#3300CC:mmoire relle' \
'-u 100' \
'-b 1024' \
'GPRINT:avg2:LAST: \: %5.1lf (cur)' \
'GPRINT:avg2:MAX: \: %5.1lf (max)' \
'GPRINT:avg2:MIN: \: %5.1lf (min)' \
'GPRINT:avg2:AVERAGE: \: %5.1lf (avg)\n' \
'DEF:avg3='$RRDARCHIVE'memory.swap.rrd:realmempct:AVERAGE' \
'LINE2:avg3#9932CC:mmoire swap' \
'-u 100' \
'-b 1024' \
'GPRINT:avg3:LAST: \: %5.1lf (cur)' \
'GPRINT:avg3:MAX: \: %5.1lf (max)' \
'GPRINT:avg3:MIN: \: %5.1lf (min)' \
'GPRINT:avg3:AVERAGE: \: %5.1lf (avg)\n'

else
/usr/bin/rrdtool graph "/Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir/${GRAPH2}" \
--start ${i} \
--vertical-label "% Utilise" \
--title "${GRAPHTITLE}" -w 600 -h 120 -u "memory" \
--units-exponent 0 --imgformat PNG \
'DEF:avg2='$RRDARCHIVE'memory.real.rrd:realmempct:AVERAGE' \
'LINE2:avg2#FF0000:mmoire relle' \
'-u 100' \
'-b 1024' \
'GPRINT:avg2:LAST: \: %5.1lf (cur)' \
'GPRINT:avg2:MAX: \: %5.1lf (max)' \
'GPRINT:avg2:MIN: \: %5.1lf (min)' \
'GPRINT:avg2:AVERAGE: \: %5.1lf (avg)\n' \
'DEF:avg3='$RRDARCHIVE'memory.swap.rrd:realmempct:AVERAGE' \
'LINE2:avg3#9932CC:mmoire swap' \
'-u 100' \
'-b 1024' \
'GPRINT:avg3:LAST: \: %5.1lf (cur)' \
'GPRINT:avg3:MAX: \: %5.1lf (max)' \
'GPRINT:avg3:MIN: \: %5.1lf (min)' \
'GPRINT:avg3:AVERAGE: \: %5.1lf (avg)\n'

fi

done

done

#
## Fin du script Load Linux.
#################################################
